1
vote
1answer
58 views

Perl compatability issues when installing Git on EC2

Can anyone help me install git on one of my EC2 boxes? When I run: sudo yum install git I get: Resolving Dependencies --> Running transaction check ---> Package git.x86_64 0:1.8.2.1-1.el6 ...
0
votes
1answer
53 views

How does one get a recent version of git installed on an ec2 instance?

I can't for the life of me figure out how to get yum to install a recent version of git on an ec2 instance. yum install git installs 1.7.4.5, which is not recent enough. Surely there's some 1.8.x ...
0
votes
1answer
146 views

Error on installing Git

I keep getting these errors when I try to install git: Error: Package: git-1.8.2.1-1.el5.i386 (epel) Requires: libcurl.so.3 Error: Package: perl-Git-1.8.2.1-1.el5.i386 (epel) ...
1
vote
2answers
781 views

How can I get the git-all meta package on RHEL 6.2

I believe I'm missing some of the common git addons, such as gitk, and I suspect it is because I installed git using sudo yum install git as the information for that package lists: : The ...
0
votes
3answers
9k views

How can I get the “base” repository for yum in RHEL 6?

My goal is to try and install git on a RHEL 6 machine. I've seen the post here: How can I install git on RHEL 6? And the answer refers to a download link that appears part of centOS: ...
6
votes
5answers
4k views

Yum doesn't install latest version of Git on Centos6

When I go to Gits download section it mentions that latest version is 1.8 and I can install it by yum install git on Fedora. I'm running CentOS6 so that command should also work for me, but yum tells ...
3
votes
1answer
1k views

Missing Dependency: perl(YAML::Any)

I have a problem with git, when I run yum upgrade on a centos5 server. yum upgrade output: Resolving Dependencies --> Running transaction check ---> Package git.x86_64 0:1.7.11.3-1.el5.rf ...
0
votes
4answers
192 views

Git not found by yum..installed from source but git still not recognized

I have a Centos server that I tried to yum install git and git-core and all that and I just consistently got the error message that the git package wasn't found. So I installed it from source ...
0
votes
1answer
2k views

`yum upgrade git` centos

I want to upgrade git cause the version on centos5 is 1.5.5.6. yum upgrade git says, "No Packages marked for Update." Am I using the wrong rpm? How do I use a different rpm? Which should I use?
0
votes
1answer
624 views

git is not getting installed on RHEL4

I did yum install git-core and then git and i am getting bash: git: command not found What did i miss in above steps?
22
votes
5answers
35k views

How to install git to red hat enterprise linux 5.3 x64?

How can I configure yum to use some repository which has git rpms?
3
votes
6answers
5k views

Up-to-date repository for CentOS git RPMS

I'm currently maintaining git packages manually for my CentOS machines since there seem to be no recent packages available in the Repos. I'm rebuilding the SRPMS from kernel.org, but --without docs ...